
#include "main.h"
#include "myGame.h"

myGame* game;

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE prevInstance, LPTSTR cmdLine, int cmdShow)
{
	game = new myGame();
	game->init(hInstance,cmdShow);

	while(!game->isOver()) game->update();

	game->clean();
	delete game;
	return 0;
}

LRESULT CALLBACK WndProc(HWND wnd, UINT message, WPARAM wparam, LPARAM lparam)
{
	game->handleWindowsMessage(wnd,message,wparam,lparam);
	return DefWindowProc(wnd,message,wparam,lparam);
}
